### Constructor

# Clutter Timeline new_for_actor

#### Declaration [src]

    ClutterTimeline*
    clutter_timeline_new_for_actor (
      ClutterActor* actor,
      unsigned int duration_ms
    )

#### Description [src]

Creates a new `ClutterTimeline` with a duration of `duration` milli seconds.

#### Parameters

`actor`

  Type: `ClutterActor`

  The `ClutterActor` the timeline is associated with.

  The data is owned by the caller of the function.

`duration_ms`

  Type: `unsigned int`

  Duration of the timeline in milliseconds.

#### Return value

Type: `ClutterTimeline`

The newly created `ClutterTimeline` instance. Use `g_object_unref()` when done using it.

The caller of the function takes ownership of the data, and is responsible for freeing it.